{
  description = "Nero";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs?ref=release-24.11";
    vnj = {
      url = "git+https://git.viende.su/VienDesu/vnj.git";
      inputs.nixpkgs.follows = "nixpkgs";
    };

    sops-nix = {
      url = "github:Mic92/sops-nix";
      inputs.nixpkgs.follows = "nixpkgs";
    };
    home-manager = {
      url = "github:nix-community/home-manager";
      inputs.nixpkgs.follows = "nixpkgs";
    };
    fenix.url = "github:nix-community/fenix";

    hyprland = {
      url = "git+https://github.com/hyprwm/Hyprland?submodules=1";
      inputs.nixpkgs.follows = "nixpkgs";
    };

    wezterm = {
      url = "github:wez/wezterm?dir=nix";
      inputs.nixpkgs.follows = "nixpkgs";
    };
  };

  outputs = {
    nixpkgs,
    sops-nix,
    home-manager,
    ...
  }@inputs: {
    nixosConfigurations.lil-maid = nixpkgs.lib.nixosSystem {
      system = "x86_64-linux";

      modules = [
        sops-nix.nixosModules.sops
        home-manager.nixosModules.home-manager

        ./m
        ./lil-maid
      ];

      specialArgs = {
        inherit inputs;
      };
    };
  };
}
